Gentoo Security Advisory GLSA 201201-02 (MySQL)

Published: 2012-02-12 15:04:41
CVE Author: NIST National Vulnerability Database

CVSS Base Vector:
AV:N/AC:M/Au:S/C:C/I:C/A:C

Technical Details:
Multiple vulnerabilities were found in MySQL, some of which may allow execution of arbitrary code.

Recommendations:
All MySQL users should upgrade to the latest version: # emerge --sync # emerge --ask --oneshot --verbose '>=dev-db/mysql-5.1.56' NOTE: This is a legacy GLSA. Updates for all affected architectures are available since May 14, 2011. It is likely that your system is already no longer affected by this issue.

Summary:
The remote host is missing updates announced in advisory GLSA 201201-02.

Detection Type:
Linux Distribution Package

Solution Type:
Vendor Patch

NIST (National Institute of Standards and Technology) NVD (National Vulnerability Database)

https://nvd.nist.gov/vuln/detail/CVE-2008-3963
https://nvd.nist.gov/vuln/detail/CVE-2008-4097
https://nvd.nist.gov/vuln/detail/CVE-2008-4098
https://nvd.nist.gov/vuln/detail/CVE-2008-4456
https://nvd.nist.gov/vuln/detail/CVE-2008-7247
https://nvd.nist.gov/vuln/detail/CVE-2009-2446
https://nvd.nist.gov/vuln/detail/CVE-2009-4019
https://nvd.nist.gov/vuln/detail/CVE-2009-4028
https://nvd.nist.gov/vuln/detail/CVE-2009-4484
https://nvd.nist.gov/vuln/detail/CVE-2010-1621
https://nvd.nist.gov/vuln/detail/CVE-2010-1626
https://nvd.nist.gov/vuln/detail/CVE-2010-1848
https://nvd.nist.gov/vuln/detail/CVE-2010-1849
https://nvd.nist.gov/vuln/detail/CVE-2010-1850
https://nvd.nist.gov/vuln/detail/CVE-2010-2008
https://nvd.nist.gov/vuln/detail/CVE-2010-3676
https://nvd.nist.gov/vuln/detail/CVE-2010-3677
https://nvd.nist.gov/vuln/detail/CVE-2010-3678
https://nvd.nist.gov/vuln/detail/CVE-2010-3679
https://nvd.nist.gov/vuln/detail/CVE-2010-3680
https://nvd.nist.gov/vuln/detail/CVE-2010-3681
https://nvd.nist.gov/vuln/detail/CVE-2010-3682
https://nvd.nist.gov/vuln/detail/CVE-2010-3683
https://nvd.nist.gov/vuln/detail/CVE-2010-3833
https://nvd.nist.gov/vuln/detail/CVE-2010-3834
https://nvd.nist.gov/vuln/detail/CVE-2010-3835
https://nvd.nist.gov/vuln/detail/CVE-2010-3836
https://nvd.nist.gov/vuln/detail/CVE-2010-3837
https://nvd.nist.gov/vuln/detail/CVE-2010-3838
https://nvd.nist.gov/vuln/detail/CVE-2010-3839
https://nvd.nist.gov/vuln/detail/CVE-2010-3840

References:

http://www.securityspace.com/smysecure/catid.html?in=GLSA%20201201-02
http://bugs.gentoo.org/show_bug.cgi?id=220813
http://bugs.gentoo.org/show_bug.cgi?id=229329
http://bugs.gentoo.org/show_bug.cgi?id=237166
http://bugs.gentoo.org/show_bug.cgi?id=238117
http://bugs.gentoo.org/show_bug.cgi?id=240407
http://bugs.gentoo.org/show_bug.cgi?id=277717
http://bugs.gentoo.org/show_bug.cgi?id=294187
http://bugs.gentoo.org/show_bug.cgi?id=303747
http://bugs.gentoo.org/show_bug.cgi?id=319489
http://bugs.gentoo.org/show_bug.cgi?id=321791
http://bugs.gentoo.org/show_bug.cgi?id=339717
http://bugs.gentoo.org/show_bug.cgi?id=344987
http://bugs.gentoo.org/show_bug.cgi?id=351413

Severity
High
CVSS Score
8.5
Published
2012-02-12
Modified
2018-10-12
Category
Gentoo Local Security Checks

Free Vulnerability Scanning, Assessment and Management

Mageni's Platform is packed with all the features you need to scan, assess and manage vulnerabilities like this - it is free, open source, lightning fast, reliable and scalable.

Router
Servers
Laptop
Database
Group
Cloud

Frequently Asked Questions

No, you can scan concurrently as many assets as you want. Please note that you must be aware of the hardware requeriments of the platform to ensure a good performance.

No, you can add as many assest as you want. It doesn't matters if you have millions of assets, we won't charge you for that.

No. The software is completely free. We have no intention to charge you to use the software, in fact - it completely goes against our beliefs and business model.

A vulnerability is defined in the ISO 27002 standard as “A weakness of an asset or group of assets that can be exploited by one or more threats” (International Organization for Standardization, 2005)

We generate revenue by providing support and other services for customers that require a subscription so they get guaranteed support and enterprise services. To use Mageni's Platform is completely free, with no limits at all.

Yes. Mageni understands that there are professionals and businesses that need commercial support so Mageni provides an active support subscription with everything needed to run Mageni's Platform reliably and securely. More than software, it's access to security experts, knowledge resources, security updates, and support tools you can't get anywhere else. The subscription includes:

  • Ongoing delivery
    • Patches
    • Bug fixes
    • Updates
    • Upgrades
  • Technical support
    • 24/7 availability
    • Unlimited Incidents
    • Specialty-based routing
    • Multi-Channel
  • Commitments
    • Software certifications
    • Software assurance
    • SLA

No, we don't store the information of your vulnerabilities in our servers.

Vulnerability management is the process in which vulnerabilities in IT are identified and the risks of these vulnerabilities are evaluated. This evaluation leads to correcting the vulnerabilities and removing the risk or a formal risk acceptance by the management of an organization. The term vulnerability management is often confused with vulnerability scanning. Despite the fact both are related, there is an important difference between the two. Vulnerability scanning consists of using a computer program to identify vulnerabilities in networks, computer infrastructure or applications. Vulnerability management is the process surrounding vulnerability scanning, also taking into account other aspects such as risk acceptance, remediation etc. Source: "Implementing a Vulnerability Management Process". SANS Institute.

I am ready to start scanning for vulnerabilities